FilteringCodecsByContentTypeSettings (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class FilteringCodecsByContentTypeSettings

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.FilteringCodecsByContentTypeSettings

    public class FilteringCodecsByContentTypeSettings
    extends java.lang.Object

Field Summary
`static java.lang.String` | `BEAN_NAME`
`static java.lang.String` | `CONFIG_PROPERTY_CODEC_FOR_CONTENT_TYPE`

Constructor Summary
`FilteringCodecsByContentTypeSettings(GrailsApplication grailsApplication)`

Method Summary
`protected java.lang.Object` | `getConfigSettings(groovy.util.ConfigObject config)`
`Encoder` | `getEncoderForContentType(java.lang.String contentType)`
`void` | `initialize(GrailsApplication grailsApplication)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BEAN_NAME

    public static final java.lang.String BEAN_NAME

### CONFIG_PROPERTY_CODEC_FOR_CONTENT_TYPE

    public static final java.lang.String CONFIG_PROPERTY_CODEC_FOR_CONTENT_TYPE

Constructor Detail

### FilteringCodecsByContentTypeSettings

    public FilteringCodecsByContentTypeSettings(GrailsApplication grailsApplication)

Method Detail

### getConfigSettings

    protected java.lang.Object getConfigSettings(groovy.util.ConfigObject config)

### getEncoderForContentType

    public Encoder getEncoderForContentType(java.lang.String contentType)

### initialize

    @java.lang.SuppressWarnings("rawtypes")
    public void initialize(GrailsApplication grailsApplication)

Groovy Documentation